Subject: Re: [PATCH 2/2 v2] git-gui - provide commit base to the hooks/pre-commit script

From: Mark Levedahl <[email-masked]>
Date: Mon, 21 Jun 2010 21:07:57 -0400

On 06/21/2010 01:00 AM, Jeff King wrote:
> On Sun, Jun 20, 2010 at 09:54:39PM -0700, Junio C Hamano wrote:
>
>    
>> I generally take absense of responses as absense of interest and/or
>> support, not absense of objection.
>>
>> For this particular patch, I am mostly indifferent (i.e. no objection, but
>> no strong support neither).
>>      
> Ditto. I don't personally have a use, but all of my concerns were
> answered.
>
> -Peff
>    
Well, I have a use else I wouldn't have written this :^).

Absent this patch, the default commit hook is always computing a diff 
against HEAD and that is wrong when amending a commit. Folks may not 
care, but that is an error so this patch fixes an existing bug. I'll 
leave it at that.

Mark